Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class TextLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.LabelFormats
          info.bioinfweb.treegraph.document.format.TextLabelFormats

All Implemented Interfaces:
  ElementFormats, TextFormats, Cloneable

    public class TextLabelFormats

extends LabelFormats
implements TextFormats

Since:
  2.0.26
Author:
  Ben Stöver

Field Summary
`static float` | `DEFAULT_TEXT_HEIGHT_IN_MM`
`private TextFormats` | `textFormats`

Fields inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`DEFAULT_MARGIN_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, DEFAULT_FONT_NAME, DEFAULT_LOCALE, DEFAULT_TEXT_COLOR, ITALIC, PLAIN, UNDERLINE`

Constructor Summary
`TextLabelFormats(Label owner)`
`TextLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`void` | `addTextStyle(int style)`
`void` | `assign(TextLabelFormats other)`
`void` | `assignTextFormats(TextFormats other)`
`TextLabelFormats` | `clone()` Returns a deep copy with the owner `null`.
`DecimalFormat` | `getDecimalFormat()`
`float` | `getDescent()`
`Font` | `getFont(float pixelsPerMillimeter)`
`String` | `getFontName()`
`Locale` | `getLocale()` Return the local object used in the decimal formats.
`Color` | `getTextColor()`
`DistanceValue` | `getTextHeight()`
`int` | `getTextStyle()`
`boolean` | `hasTextStyle(int style)`
`private void` | `init()`
`void` | `removeTextStyle(int style)`
`void` | `setDecimalFormat(DecimalFormat decimalFormat, Locale locale)` Sets a new decimal format object.
`void` | `setFontName(String fontName)`
`void` | `setLocale(Locale locale)` Sets the local object which is used to
`void` | `setTextColor(Color textColor)`
`void` | `setTextStyle(int style)`

Methods inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`assignLabelFormats, getLineNumber, getLinePosition, getMargin, getOwner, isAbove, setAbove, setLineNumber, setLinePosition, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TEXT_HEIGHT_IN_MM

    public static final float DEFAULT_TEXT_HEIGHT_IN_MM

See Also:
  Constant Field Values

### textFormats

    private TextFormats textFormats

Constructor Detail

### TextLabelFormats

    public TextLabelFormats(Label owner,
                            boolean above,
                            int line,
                            int linePosition)

### TextLabelFormats

    public TextLabelFormats(Label owner)

Method Detail

### init

    private void init()

### addTextStyle

    public void addTextStyle(int style)

  Specified by:
    `addTextStyle` in interface `TextFormats`

### getDecimalFormat

    public DecimalFormat getDecimalFormat()

  Specified by:
    `getDecimalFormat` in interface `TextFormats`

### getDescent

    public float getDescent()

  Specified by:
    `getDescent` in interface `TextFormats`

### getFont

    public Font getFont(float pixelsPerMillimeter)

  Specified by:
    `getFont` in interface `TextFormats`

### getFontName

    public String getFontName()

  Specified by:
    `getFontName` in interface `TextFormats`

### getLocale

    public Locale getLocale()

  Description copied from interface: `TextFormats`
  Return the local object used in the decimal formats.

  Specified by:
    `getLocale` in interface `TextFormats`
  Returns:

### getTextColor

    public Color getTextColor()

  Specified by:
    `getTextColor` in interface `TextFormats`

### getTextHeight

    public DistanceValue getTextHeight()

  Specified by:
    `getTextHeight` in interface `TextFormats`

### getTextStyle

    public int getTextStyle()

  Specified by:
    `getTextStyle` in interface `TextFormats`

### hasTextStyle

    public boolean hasTextStyle(int style)

  Specified by:
    `hasTextStyle` in interface `TextFormats`

### removeTextStyle

    public void removeTextStyle(int style)

  Specified by:
    `removeTextStyle` in interface `TextFormats`

### setDecimalFormat

    public void setDecimalFormat(DecimalFormat decimalFormat,
                                 Locale locale)

  Description copied from interface: `TextFormats`
  Sets a new decimal format object. The provided local object will be used to determine the decimal format symbols. (This means that the decimal formats object may be changed after being passed here.)

  Specified by:
    `setDecimalFormat` in interface `TextFormats`
  Parameters:
    `decimalFormat` - the new decimal format object
    `locale` - the locale object which was used to create the new decimal formats

### setFontName

    public void setFontName(String fontName)

  Specified by:
    `setFontName` in interface `TextFormats`

### setLocale

    public void setLocale(Locale locale)

  Description copied from interface: `TextFormats`
  Sets the local object which is used to

  Specified by:
    `setLocale` in interface `TextFormats`

### setTextColor

    public void setTextColor(Color textColor)

  Specified by:
    `setTextColor` in interface `TextFormats`

### setTextStyle

    public void setTextStyle(int style)

  Specified by:
    `setTextStyle` in interface `TextFormats`

### assignTextFormats

    public void assignTextFormats(TextFormats other)

  Specified by:
    `assignTextFormats` in interface `TextFormats`

### assign

    public void assign(TextLabelFormats other)

### clone

    public TextLabelFormats clone()

  Description copied from class: `LabelFormats`
  Returns a deep copy with the owner `null`.

  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `TextFormats`
  Overrides:
    `clone` in class `LabelFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD